Page MenuHomePhabricator

New mobile link context doesn't work on single character links
Closed, ResolvedPublic

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptJun 27 2019, 11:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 519377 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Gather annotations from clicked node where possible

https://gerrit.wikimedia.org/r/519377

The root cause is T221967.

Change 520127 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] ve.ui.AnnotationContextItem: Use ve.ce.Surface's logic for detecting annotations

https://gerrit.wikimedia.org/r/520127

Change 519377 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Gather annotations from clicked node where possible

https://gerrit.wikimedia.org/r/519377

Change 520500 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (dc0e4650e)

https://gerrit.wikimedia.org/r/520500

Change 520500 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (75510a515)

https://gerrit.wikimedia.org/r/520500

The workaround fixes this, but there are problems within the context when the link consists of just one character. I filed a separate task about this: T227241 and moved the patch https://gerrit.wikimedia.org/r/520127 there. Please ignore that problem in QA, we'll get back to it :)

matmarex added a project: Editing QA.
matmarex moved this task from Inbox to High Priority on the Editing QA board.
Ryasmeen edited projects, added Verified; removed Editing QA.Aug 22 2019, 9:02 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Sep 3 2019, 1:52 AM
ppelberg claimed this task.